package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwDataStatReplyTotal;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwDataStatReplyTotalExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformQwDataStatReplyTotalMapper {
    long countByExample(ContentPlatformQwDataStatReplyTotalExample example);

    int deleteByExample(ContentPlatformQwDataStatReplyTotalExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformQwDataStatReplyTotal record);

    int insertSelective(ContentPlatformQwDataStatReplyTotal record);

    List<ContentPlatformQwDataStatReplyTotal> selectByExample(ContentPlatformQwDataStatReplyTotalExample example);

    ContentPlatformQwDataStatReplyTotal selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformQwDataStatReplyTotal record, @Param("example") ContentPlatformQwDataStatReplyTotalExample example);

    int updateByExample(@Param("record") ContentPlatformQwDataStatReplyTotal record, @Param("example") ContentPlatformQwDataStatReplyTotalExample example);

    int updateByPrimaryKeySelective(ContentPlatformQwDataStatReplyTotal record);

    int updateByPrimaryKey(ContentPlatformQwDataStatReplyTotal record);
}